Subject: [PATCH bpf-next 0/3] bpf: Add MTU check to fib lookup helper

From: David Ahern <[email-masked]>
Date: Thu, 17 May 2018 09:09:27 -0700

Packets that exceed the egress MTU can not be forwarded in the fast path.
Add IPv4 and IPv6 MTU helpers that take a FIB lookup result (versus the
typical dst path) and add the calls to bpf_ipv{4,6}_fib_lookup.

David Ahern (3):
  net/ipv4: Add helper to return path MTU based on fib result
  net/ipv6: Add helper to return path MTU based on fib result
  bpf: Add mtu checking to FIB forwarding helper

 include/net/ip6_fib.h   |  6 ++++++
 include/net/ip6_route.h |  3 +++
 include/net/ip_fib.h    |  2 ++
 net/core/filter.c       | 10 ++++++++++
 net/ipv4/route.c        | 31 +++++++++++++++++++++++++++++++
 net/ipv6/route.c        | 48 ++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 100 insertions(+)

-- 
2.11.0